{inputs, ...}: let
  systems = ["mpl"];

  inherit (inputs.nixpkgs) lib;

  makeNixosConfigurations = systems:
    lib.listToAttrs (lib.map
      (name: let
        system = import ./${name} {inherit inputs;};
      in {
        inherit name;
        value = lib.nixosSystem {
          inherit (system) system;

          modules =
            system.modules
            ++ [
              {
                _module.args = {
                  inherit inputs;
                };
              }

              # ../modules
            ];
        };
      })
      systems);

  makeHomeConfigurations = systems:
    builtins.throw "todo";
in {
  nixosConfigurations = makeNixosConfigurations systems;
  homeConfigurations = makeHomeConfigurations systems;
}
