{...}: {
  imports = [
    ./audio.nix
    ./bootloader.nix
    ./disk-config.nix
    ./hardware.nix
    ./mounts.nix
    ./secrets.nix
  ];

  networking.hostName = "mpl"; # Define your hostname.
  networking.networkmanager.enable = true;

  # Allow unfree packages (firmware)
  nixpkgs.config.allowUnfree = true;

  # Set your time zone.
  time.timeZone = "America/New_York";

  # Select internationalisation properties.
  i18n.defaultLocale = "en_US.UTF-8";
  console = {
    font = "Lat2-Terminus16";
    keyMap = "us";
  };

  # Enable touchpad support (enabled default in most desktopManager).
  services.libinput.enable = true;

  # Define a user account. Don't forget to set a password with ‘passwd’.
  users.users.min = {
    isNormalUser = true;
    extraGroups = ["wheel"]; # Enable ‘sudo’ for the user.
  };

  # Some programs need SUID wrappers, can be configured further or are
  # started in user sessions.
  programs.gnupg.agent = {
    enable = true;
    enableSSHSupport = true;
    # TODO: pinentryPackage - rofi/bemenu maybe
  };
  services.pcscd.enable = true;

  system.stateVersion = "24.11";
}
