{pkgs, ...}: {
  environment.persistence."/persist" = {
    hideMounts = true;
    directories = [
      "/etc/secureboot"
      "/etc/ssh"
      "/etc/secrets"
      "/etc/NetworkManager/system-connections"

      "/var/log"
      "/var/lib"
      "/var/db/sudo"
    ];
    files = [
      "/etc/machine-id"
    ];

    users.min = {
      directories = [
        # cli tools
        {
          directory = ".gnupg";
          mode = "0700";
        }
        {
          directory = ".ssh";
          mode = "0700";
        }
        ".local/share/direnv"

        # languages
        ".cargo"

        # generic folders
        "Documents"
        "Downloads"
        "Videos"
        "Pictures"
        # TODO: "Music" should probably be mounted via NFS
        "p"
      ];
    };
  };
  environment.systemPackages = [pkgs.ncdu];

  fileSystems = {
    "/".neededForBoot = true;
    "/etc/ssh" = {
      depends = ["/persist"];
      neededForBoot = true;
    };
    "/persist".neededForBoot = true; # no further config is needed, disko handles the rest
  };
}
